
GammaLib - Action #931

Feature # 46 (Closed): Add XPSEC support module

Implement GPha class

06/26/2013 10:31 AM - Knödlseder Jürgen

Status: Closed Start date: 06/23/2013

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: HESS sprint #1   

Description

This class stores a counts spectrum. Reading from a PHA file and writing into a PHA file should be supported. A spectrum can be

filled using the fill() method. The spectrum also tracks underflows and overflows.

 class GPha : public GBase {  public:     // Constructors and destructors     GPha(void);     explicit GPha(const GEbounds& ebds);    

 GPha(const GPha& spec);     virtual ~GPha(void);      // Operators     GPha& operator=(const GPha& spec);     double&         

 operator[](const int& index);     const double&    operator[](const int& index) const;      // Implemented pure virtual methods     void      

       clear(void);     GPha* clone(void) const;     int              size(void) const;     void             fill(const GEnergy& energy, const double&

 value = 1.0);     void             load(const std::string& filename);     void             save(const std::string& filename) const;     std::string     

 print(const GChatter& chatter = NORMAL) const;  protected:     // Protected methods     void         init_members(void);     void        

 copy_members(const GPha& spec);     void         free_members(void);      // Protected members     GEbounds            m_ebounds;   

 //!< Energy boundaries     std::vector<double> m_counts;     //!< Counts data     double              m_underflow;  //!< Number of

 underflowing events     double              m_overflow;   //!< Number of overflowing events };

History

#1 - 06/26/2013 10:31 AM - Knödlseder Jürgen

- Description updated

#2 - 06/26/2013 10:46 AM - Knödlseder Jürgen

- Assigned To set to Knödlseder Jürgen

#3 - 06/26/2013 12:12 PM - Knödlseder Jürgen

- Status changed from New to In Progress

#4 - 06/26/2013 04:27 PM - Knödlseder Jürgen

- % Done changed from 0 to 30

Implement an initial version of the GPha class.

#5 - 06/26/2013 11:11 PM - Knödlseder Jürgen

- % Done changed from 30 to 80

#6 - 06/27/2013 04:14 PM - Knödlseder Jürgen

- Status changed from In Progress to Feedback

- % Done changed from 80 to 100

- Remaining (hours) set to 0.0

The Python interface and a Python unit test has been implemented.

#7 - 11/03/2013 02:07 AM - Knödlseder Jürgen
- Status changed from Feedback to Closed

- Estimated time set to 0.00
